import { z } from "zod"

export const buildAddSchema = z.object({

    buildType: z.string(),
    collectionToken: z.string(),
    info: z.object({
        govAddressCode: z.string(),
        buildName: z.string(),
        buildNo: z.string(),
        maxFloor: z.number(),
        undergroundFloor: z.number(),
        buildDate: z.string(),
        decisionPeriodDate: z.string(),
        taxNo: z.string(),
        liftCount: z.number(),
        heatingSystem: z.boolean(),
        coolingSystem: z.boolean(),
        hotWaterSystem: z.boolean(),
        blockServiceManCount: z.number(),
        securityServiceManCount: z.number(),
        garageCount: z.number(),
        managementRoomId: z.string(),
    })

});

export type BuildAdd = z.infer<typeof buildAddSchema>;
